Bug 1027328 - [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
[drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
20
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 10:03 EST by Harald Reindl
Modified: 2015-06-29 08:49 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:49:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
i915_error_state after hang (2.80 MB, text/plain)
2013-12-11 14:09 EST, phil
no flags Details
/sys/class/drm/card0/error (2.27 MB, text/plain)
2014-01-05 02:47 EST, Harald Reindl
no flags Details
/sys/class/drm/card0/error (63.09 KB, application/x-xz)
2014-01-06 04:49 EST, Philipp Dreimann
no flags Details
another hang attached (71.22 KB, application/octet-stream)
2015-02-23 09:54 EST, Harald Reindl
no flags Details

  None (edit)
Description Harald Reindl 2013-11-06 10:03:14 EST
recent kernels on SandyBridge are sometimes lagging while the same operating-system clone on InvyBdrige with the same kernel options is pretty fine, they are not very long, only a few moments but they are present

problems: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
fine:     Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz

xorg-x11-drv-intel-2.21.12-2.fc19.x86_64
xorg-x11-server-Xorg-1.14.4-2.fc19.x86_64

the kernel params are the same for a longer time and on both machine, X11 is very recent from koji, but the same with stable updates

/vmlinuz-3.11.7-200.fc19.x86_64 root=UUID=b935b5db-0051-4f7f-83ac-6a6651fe0988 ro divider=10 audit=0 rd.plymouth=0 plymouth.enable=0 rd.md.uuid=b7475879:c95d9a47:c5043c02:0c5ae720 rd.md.uuid=1d691642:baed26df:1d197496:4fb00ff8 rd.md.uuid=ea253255:cb915401:f32794ad:ce0fe396 rd.luks=0 rd.lvm=0 rd.dm=0 elevator=deadline selinux=0 net.ifnames=0 biosdevname=0 clocksource=hpet noisapnp noresume nf_conntrack.acct=1 printk.time=0 nmi_watchdog=0 pcie_aspm=force i915.i915_enable_rc6=7 i915.i915_enable_fbc=1 i915.lvds_downclock=1 consoleblank=0 acpi_osi=Linux vconsole.font=latarcyrheb-sun16 vconsole.keymap=de-latin1-nodeadkeys locale.LANG=de_DE.UTF-8 LANG=de_DE.UTF-8


Nov  6 13:27:02 rh kernel: [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Nov  6 13:27:02 rh kernel: [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x5b70000 ctx 1) at 0x5b701c8
Nov  6 13:30:12 rh kernel: [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Nov  6 13:30:12 rh kernel: [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xd5cd000 ctx 1) at 0xd5cd1c8
Nov  6 13:33:55 rh kernel: [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Nov  6 13:33:55 rh kernel: [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xcf02000 ctx 1) at 0xcf021c8
Nov  6 15:01:38 rh kernel: [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Nov  6 15:01:38 rh kernel: [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x5fb8000 ctx 1) at 0x5fb81c8
Nov  6 15:18:22 rh kernel: [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring
Nov  6 15:18:22 rh kernel: [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x5c8d000 ctx 1) at 0x5c8d1c
Comment 1 phil 2013-12-11 14:08:08 EST
Not sure what is meant by lagging but I've noticed often while scrolling in Firefox it'll freeze for a bit and in dmesg I see a single:
[39795.305716] [drm:i915_hangcheck_elapsed] *ERROR* stuck on render ring

Based on the IPEHR of 0x780c0000 in i915_error_state, it might be this bug which is fixed in Ubuntu https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1233990.

I have:
xorg-x11-drv-intel.x86_64 2.21.12-2.fc19
Kernel 3.11.10-200.fc19.x86_64
Comment 2 phil 2013-12-11 14:09:19 EST
Created attachment 835445 [details]
i915_error_state after hang
Comment 3 phil 2013-12-11 17:05:18 EST
Also, occasionally after the freeze it'll recover briefly and then I get hard crash.  I cannot change virtual terminals or reboot via ctrl-alt-delete.  I have to hold down the power button to power off.
Comment 4 Philipp Dreimann 2014-01-04 09:56:44 EST
I'm seeing hangs and crashes using
kernel.x86_64                        3.12.6-300.fc20
xorg-x11-drv-intel.x86_64            2.21.15-5.fc20
too.

dmesg -t|grep drm:
[drm] Initialized drm 1.1.0 20060810
[drm] Memory usable by graphics device = 2048M
fb: conflicting fb hw usage inteldrmfb vs EFI VGA - removing generic driver
[drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[drm] Driver supports precise vblank timestamp query.
[drm] Wrong MCH_SSKPD value: 0x16040307
[drm] This can cause pipe underruns and display issues.
[drm] Please upgrade your BIOS to fix this.
[drm] GMBUS [i915 gmbus dpb] timed out, falling back to bit banging on pin 5
fbcon: inteldrmfb (fb0) is primary device
i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[drm] Enabling RC6 states: RC6 on, RC6p off, RC6pp off
[drm] Wrong MCH_SSKPD value: 0x16040307
[drm] This can cause pipe underruns and display issues.
[drm] Please upgrade your BIOS to fix this.
[drm] Enabling RC6 states: RC6 on, RC6p off, RC6pp off
[drm] stuck on render ring
[drm] capturing error event; look for more information in /sys/class/drm/card0/error
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x73b6000 ctx 6) at 0x73b9ec8
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x7366000 ctx 6) at 0x7367c48
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x738e000 ctx 6) at 0x738fc28
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x581f000 ctx 6) at 0x58209c0
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x3dca000 ctx 6) at 0x3dcb9a0
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x5e0d000 ctx 6) at 0x5e0e9c0
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0xc7a9000 ctx 4) at 0x10e0c45c
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xb12000 ctx 4) at 0xb12c38
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xb72000 ctx 4) at 0xb73408
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xaf4c000 ctx 4) at 0xaf4d050
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x72cd000 ctx 4) at 0x72cfbc8
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x36a9d000 ctx 4) at 0x36a9f724
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xa97b000 ctx 4) at 0xa97d704
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xa988000 ctx 4) at 0xa98a704
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x18ed000 ctx 5) at 0x18eeaf8
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x991c000 ctx 5) at 0x880a12c
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0x9bdc000 ctx 5) at 0x3a1a074
[drm] stuck on render ring
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x70d5000 ctx 3) at 0x70d5778

Since a while these hangs and crashes are triggered for me by the google maps preview.
Comment 5 phil 2014-01-04 15:41:46 EST
Philipp, post your /sys/class/drm/card0/error.  You can compare with the one I posted to see if it's hanging in the same place.
Comment 6 Harald Reindl 2014-01-05 02:47:34 EST
Created attachment 845704 [details]
/sys/class/drm/card0/error

IvyBridge in context playing games with wine
/sys/class/drm/card0/error attached

[403930.013029] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xb346000 ctx 1) at 0xb348060
[403930.013039] [drm:i915_set_reset_status] *ERROR* render ring hung flushing bo (0xf23d000 ctx 1) at 0xb348060
[403937.016031] [drm] stuck on render ring
[403937.016140] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x20e18000 ctx 1) at 0x20e182f4
[403943.006656] [drm] stuck on render ring
[403943.006724] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x397f5000 ctx 1) at 0x397f52bc
[403950.009725] [drm] stuck on render ring
[403950.009856] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xb376000 ctx 1) at 0xb3762bc
[403956.024356] [drm] stuck on render ring
[403956.024417] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x3ca9f000 ctx 1) at 0x3ca9f1b4
[403962.022983] [drm] stuck on render ring
[403962.023081] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x5c65000 ctx 1) at 0x5c651b8
[403969.030049] [drm] stuck on render ring
[403969.030119] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x8720000 ctx 1) at 0x87205d4
[403975.020673] [drm] stuck on render ring
[403975.020815] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x35385000 ctx 1) at 0x353855d4
[403981.023295] [drm] stuck on render ring
[403981.023355] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x146a000 ctx 1) at 0x146a5d4
[403987.033933] [drm] stuck on render ring
[403987.034029] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x3537d000 ctx 1) at 0x3537d5d4
[403993.040560] [drm] stuck on render ring
[403993.040645] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x146a000 ctx 1) at 0x146a448
[403999.043189] [drm] stuck on render ring
[404005.045819] [drm] stuck on render ring
[404011.028438] [drm] stuck on render ring
[404017.051075] [drm] stuck on render ring
[404023.041701] [drm] stuck on render ring
[404029.052330] [drm] stuck on render ring
[404035.046953] [drm] stuck on render ring
[404041.049585] [drm] stuck on render ring
[404047.064214] [drm] stuck on render ring
[404053.054845] [drm] stuck on render ring
[404059.069484] [drm] stuck on render ring
[404065.068101] [drm] stuck on render ring
[404071.054724] [drm] stuck on render ring
[404077.073355] [drm] stuck on render ring
[404077.073411] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x146a000 ctx 1) at 0x146a518
Comment 7 phil 2014-01-05 17:47:30 EST
Harald, your error status shows a IPEHR of 0x7a000002.  A quick search turns up several bugs reports mentioning this.  The most similar is probably:
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1225352
Comment 8 Harald Reindl 2014-01-05 18:27:47 EST
good to know that we are not the only one, i am not often affected for whatever reason of my personal workload, my co-developer more and personally i see this only on my office-machine with SandyBridge, at home on the IvyBrdige machine never faced, the attache dlog is from my co-developers home machine and both are 100% identical
Comment 9 Philipp Dreimann 2014-01-06 04:49:05 EST
Created attachment 846002 [details]
/sys/class/drm/card0/error

(In reply to phil from comment #5)

phil, here is an error from me. It also contains a line IPEHR: 0x7a000002 .
Comment 10 phil 2014-01-06 11:48:58 EST
Since I have a different IPEHR, should I start a new bug?
Comment 11 Michal Jaegermann 2014-01-17 14:41:44 EST
Bug 1054946 is about a kernel crash in i915_gem_set_domain_ioctl.  No idea if this is related or independent but this crash is "framed" by 2741 "[drm] stuck on render ring" messages with
[drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x4371000 ctx 0) at 0x4371ff4
from time to time for a good measure.  That is with 3.12.7-300.fc20.x86_64 kernel on ASUS K52Jc laptop.

Hm, I do not know if this is SandyBridge but K52Jc has two core processor like this:
vendor_id	: GenuineIntel
cpu family	: 6
model		: 37
model name	: Intel(R) Pentium(R) CPU        P6100  @ 2.00GHz
stepping	: 5
Comment 12 Harald Reindl 2014-01-17 15:08:48 EST
no because it's from 2010 and SandyBrdige has started 2011
most likely it is a Core2 generation, Core1 would not be x86_64

http://ark.intel.com/de/products/50175/intel-pentium-processor-p6100-3m-cache-2_00-ghz

SandyBridge: 2nd Generation Intel Core Processors
IvyBridge:   3rd Generation Intel Core Processors
_____________________________________________

the main indication for SandyBrdige and higher is AVX support

[root@srv-rhsoft:~]$ cat /proc/cpuinfo | grep avx
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms

the main indication for IvyBrdige and higher is RDRAND

[root@srv-rhsoft:~]$ cat /proc/cpuinfo | grep rdrand
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid fsgsbase smep erms

the main indication for Haswell would be AVX2 (i do not own any)
the machine in fornt of me is IvyBdrige
_____________________________________________

that would be SandyBridge, no RDRAND but AVX

[root@localhost:~]$ cat /proc/cpuinfo | grep avx
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic popcnt tsc_deadline_timer aes xsave avx lahf_lm ida arat epb xsaveopt pln pts dtherm tpr_shadow vnmi flexpriority ept vpid

[root@localhost:~]$ cat /proc/cpuinfo | grep rdrand
[root@localhost:~]$
Comment 13 Harald Reindl 2014-01-17 15:15:16 EST
back to topic:

for me it seems 3.12.7-300.fc20.x86_64 and 3.12.8-300.fc20.x86_64
does not have this problem any longer - knock on wood
Comment 14 Michal Jaegermann 2014-01-17 15:51:20 EST
(In reply to Harald Reindl from comment #13)
> back to topic:
> 
> for me it seems 3.12.7-300.fc20.x86_64 and 3.12.8-300.fc20.x86_64
> does not have this problem any longer - knock on wood

Well, all these "[drm] stuck on render ring" appeared for me with 3.12.7-300.fc20.x86_64.  That is the last kernel version I have at this moment.

BTW - my cpuinfo does not show neither AVX nor RDRAND. :-)
Comment 15 Harald Reindl 2014-01-19 12:43:02 EST
ok - it's better but it still happens
Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz

[77303.656533] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0xc78c000 ctx 1) at 0xc78c44c
[77309.659097] [drm] stuck on render ring
[77309.659138] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x1f0e0000 ctx 1) at 0x1f0e02b0
[77317.662605] [drm] stuck on render ring
[77317.662714] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x10de7000 ctx 1) at 0x10de72f4
[77323.673240] [drm] stuck on render ring
[77323.673311] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x70f3e000 ctx 1) at 0x70f3e2f4
[77329.675869] [drm] stuck on render ring
[77329.675930] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x70e8e000 ctx 1) at 0x70e8e2f4
[77335.678496] [drm] stuck on render ring
[77335.678542] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x749f8000 ctx 1) at 0x749f82f4
Comment 16 Andre Robatino 2014-07-11 15:16:21 EDT
Looks like a dupe of https://bugzilla.redhat.com/show_bug.cgi?id=879823 .
Comment 17 Fedora End Of Life 2015-01-09 15:29:27 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 phil 2015-01-12 17:42:24 EST
I still see this problem on Fedora 20.  I don't see a way to edit the version field though.

The easiest way to trigger the bug is to run the Passmark PeaceKeeper benchmark in Chromium.
Comment 19 Harald Reindl 2015-02-23 09:54:56 EST
Created attachment 994399 [details]
another hang attached

see attachment

[44613.322791] [drm] stuck on render ring
[44613.323639] [drm] GPU HANG: ecode 0:0x85fffffa, in TESV.exe [2243], reason: Ring hung, action: reset
[44613.323640] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[44613.323641] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[44613.323641] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[44613.323641] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[44613.323642] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[44620.329876] [drm] stuck on render ring
[44620.330762] [drm] GPU HANG: ecode 0:0x85fffff8, in TESV.exe [2243], reason: Ring hung, action: reset
Comment 20 Fedora End Of Life 2015-05-29 05:42:12 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 21 Andre Robatino 2015-05-29 12:49:18 EDT
FWIW, I never saw this on F21, and have been running F22 for a few days and don't see it on that either.
Comment 22 Andre Robatino 2015-05-29 13:10:51 EDT
(In reply to Andre Robatino from comment #21)
> FWIW, I never saw this on F21, and have been running F22 for a few days and
> don't see it on that either.

Sorry for the noise - the bug I saw on F20 was bug 1099070 ("render ring idle"). I never saw the "stuck on render ring" bug on any release.
Comment 23 Fedora End Of Life 2015-06-29 08:49:31 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.